# Train Scheduler

## Overview
Train schedule application that incorporates Firebase to host arrival and departure data. The app provides up-to-date information about various trains, namely their arrival times and how many minutes remain until they arrive at their station.

![](https://res.cloudinary.com/damplk/image/upload/v1580628277/portal/hw_scheduler_n0xfuy.png)

## Using Train Scheduler
* Complete the following information on the form provided:
  * Train Name
  * Destination
  * First arrival time
  * Arrival frequency
* Submit the form to add the train to the scheduler database
* The timetable at the top of the page displays the following for each train:
  * Train Name
  * Destination
  * Frequency (in minutes)
  * Next Arrival (calculated)
  * Minutes Away (calculated based on current time)

## Technologies
* HTML5
* CSS3
* JavaScript
* jQuery
* Firebase Realtime Database
* Moment JS
* Bootstrap

## Development Details

### Developer
Pam Kelly at [esq.kelly@gmail.com](mailto:esq.kelly@gmail.com)

### GitHub Repository
[GitHub](https://github.com/PLKGIT/trainscheduler) at https://github.com/PLKGIT/trainscheduler

### Deployed Application
[Train Scheduler](https://plkgit.github.io/trainscheduler/) deployed at https://plkgit.github.io/trainscheduler/

### Portfolio
[Professional Portfolio](https://www.pamkelly.com/portdev.htmll) at 
https://www.pamkelly.com/portdev.html


Copyright &copy; 2020 Pamela L. Kelly